# Uses of Class
org.apache.lucene.codecs.StoredFieldsFormat

Packages that use StoredFieldsFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.

- ## Uses of StoredFieldsFormat in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return StoredFieldsFormat
  Modifier and Type
  Method
  Description
  `abstract StoredFieldsFormat`
  Codec.`storedFieldsFormat()`
  Encodes/decodes stored fields
  `StoredFieldsFormat`
  FilterCodec.`storedFieldsFormat()`

- ## Uses of StoredFieldsFormat in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return StoredFieldsFormat
  Modifier and Type
  Method
  Description
  `final StoredFieldsFormat`
  Lucene103Codec.`storedFieldsFormat()`

- ## Uses of StoredFieldsFormat in org.apache.lucene.codecs.lucene90

  Subclasses of StoredFieldsFormat in org.apache.lucene.codecs.lucene90
  Modifier and Type
  Class
  Description
  `class`
  `Lucene90StoredFieldsFormat`
  Lucene 9.0 stored fields format.

- ## Uses of StoredFieldsFormat in org.apache.lucene.codecs.lucene90.compressing

  Subclasses of StoredFieldsFormat in org.apache.lucene.codecs.lucene90.compressing
  Modifier and Type
  Class
  Description
  `class`
  `Lucene90CompressingStoredFieldsFormat`
  A `StoredFieldsFormat` that compresses documents in chunks in order to improve the compression ratio.